﻿/*
 * config.h
 *
 * Created: 26.10.2012 18:29:28
 *  Author: Christoph Söllner
 */ 


#ifndef CONFIG_H_
#define CONFIG_H_

#ifndef F_CPU
#error define MCU frequency symbol F_CPU with appropriate value.
#endif

/***********************************
 ** INCLUDES                      **
 ***********************************/
#include <avr/io.h>
#include <avr/interrupt.h>
#include <avr/pgmspace.h>
#include <util/delay.h>
#include <string.h>
#include <stdlib.h>
#include <stdio.h>
#include "defines.h"

/***********************************
 ** LOCAL DEFINES                 **
 ***********************************/
// Set PORT definitions for LED output here.
#define led_error_on()  PORTR.OUTSET=PIN1_bm;
#define led_error_off() PORTR.OUTCLR=PIN1_bm;
#define led_warn_on()   PORTR.OUTSET=PIN0_bm;
#define led_warn_off()  PORTR.OUTCLR=PIN0_bm;
#define led_ok_on()     PORTA.OUTSET=PIN0_bm;
#define led_ok_off()    PORTA.OUTCLR=PIN0_bm;

/***********************************
 ** RFM70-CONFIGURATION           **
 ***********************************/
// Set RX Base Address
// All other configuration is done in main() INIT
// Don't forget to change implementation in cs_rfm70* as well
#define RFM70_RX_BASE_ADDRESS 0x20,0x20,0x20,0x20,0xFF
#define RFM70_RX_CHANNEL      40
#define rfm70_spi_slaveSelect()   PORTB.OUTCLR=PIN2_bm
#define rfm70_spi_slaveUnselect() PORTB.OUTSET=PIN2_bm
#define rfm70_chipEnable()        PORTB.OUTSET=PIN3_bm
#define rfm70_chipDisable()       PORTB.OUTCLR=PIN3_bm


#endif /* CONFIG_H_ */