﻿/*
 * defines.h
 *
 * Created: 09.11.2012 11:25:04
 *  Author: Christoph Söllner
      Desc: Contains some additional defines that maybe are missing in the ATMEL Studio
 */ 


#ifndef DEFINES_H_
#define DEFINES_H_

#ifndef PIN0_bm
#define PIN0_bm (1<<0)
#endif
#ifndef PIN1_bm
#define PIN1_bm (1<<1)
#endif
#ifndef PIN2_bm
#define PIN2_bm (1<<2)
#endif
#ifndef PIN3_bm
#define PIN3_bm (1<<3)
#endif
#ifndef PIN4_bm
#define PIN4_bm (1<<4)
#endif
#ifndef PIN5_bm
#define PIN5_bm (1<<5)
#endif
#ifndef PIN6_bm
#define PIN6_bm (1<<6)
#endif
#ifndef PIN7_bm
#define PIN7_bm (1<<7)
#endif

// TIMER/COUNTER PWM Output Enable Bitmask and Position.
// They seem to be missing in the official header files.
// Used for XMega Architecture only.
#ifndef TC_CCDEN_bp
#define TC_CCDEN_bp 7
#define TC_CCDEN_bm 0b10000000
#endif
#ifndef TC_CCCEN_bp
#define TC_CCCEN_bp 6
#define TC_CCCEN_bm 0b01000000
#endif
#ifndef TC_CCBEN_bp
#define TC_CCBEN_bp 5
#define TC_CCBEN_bm 0b00100000
#endif
#ifndef TC_CCAEN_bp
#define TC_CCAEN_bp 4
#define TC_CCAEN_bm 0b00010000
#endif

// Define type safe MAX/MIN macros
#ifndef max
#define max(a,b) ({ __typeof__ (a) _a = (a); __typeof__ (b) _b = (b); _a > _b ? _a : _b; })
#endif
#ifndef min
#define min(a,b) ({ __typeof__ (a) _a = (a); __typeof__ (b) _b = (b); _a < _b ? _a : _b; })
#endif


#endif /* DEFINES_H_ */