﻿/*
 * config.h
 *
 * Created: 26.10.2012 18:29:28
 *  Author: Christoph Söllner
 */ 


#ifndef CONFIG_H_
#define CONFIG_H_

#include <avr/io.h>
#include <util/delay.h>
#include <stdlib.h>
#include <stdbool.h>
#include <string.h>
#include <stdio.h>
#include <avr/wdt.h>
#include <avr/power.h>
#include <avr/interrupt.h>


#ifndef F_CPU
#error define MCU frequency symbol F_CPU with appropriate value.
#endif

#define PIN0_bm (1<<0)
#define PIN1_bm (1<<1)
#define PIN2_bm (1<<2)
#define PIN3_bm (1<<3)
#define PIN4_bm (1<<4)
#define PIN5_bm (1<<5)
#define PIN6_bm (1<<6)
#define PIN7_bm (1<<7)

#define led_error_on()  PORTD|=PIN2_bm;
#define led_error_off() PORTD&=~PIN2_bm;
#define led_ok_on()     PORTD|=PIN1_bm;
#define led_ok_off()    PORTD&=~PIN1_bm;
#define led_warn_on()   PORTD|=PIN0_bm;
#define led_warn_off()  PORTD&=~PIN0_bm;

/***********************************
 ** RFM70-CONFIGURATION           **
 ***********************************/
// Set TX Base Address
// All other configuration is done in main() INIT
// Don't forget to change implementation in cs_rfm70* as well
#define RFM70_TX_BASE_ADDRESS 0x20,0x20,0x20,0x20,0xFF
#define RFM70_TX_CHANNEL      40

#endif /* CONFIG_H_ */